Update Vm Protection Settings
Update the protection settings of a virtual machine. This endpoint must be called after the remove protection operation in order for the VM to be recovered during recovery.
The ID of a pairing between this Site Recovery Manager server and remote one.
The ID of a protection group defined within current pairing.
The ID of a protected virtual machine.
A spec describing the new VM protection settings.
{
"placeholder_needs_repair": false,
"vsan_target_cluster": "string",
"location": {
"name": "string",
"protected_site": "string",
"production_vm_path": {
"datastore": "string",
"datastore_name": "local",
"path": "vms/finance-vm",
"filename": "finance-vm.vmdk",
"friendly_path": "string"
},
"recovery_site": "string",
"placeholder_vm_path": {
"datastore": "string",
"datastore_name": "local",
"path": "vms/finance-vm",
"filename": "finance-vm.vmdk",
"friendly_path": "string"
},
"placeholder_vm": "string"
},
"devices": [
{
"key": 0,
"type": "string",
"backing": "string",
"label": "string",
"production_path": {
"datastore": "string",
"datastore_name": "local",
"path": "vms/finance-vm",
"filename": "finance-vm.vmdk",
"friendly_path": "string"
},
"production_datastores": [
{}
],
"recovery_path": {
"datastore": "string",
"datastore_name": "local",
"path": "vms/finance-vm",
"filename": "finance-vm.vmdk",
"friendly_path": "string"
},
"replicated": false,
"detached": false
}
],
"networks": [
{
"editable": false,
"source": "string",
"source_name": "string",
"target": "string",
"target_name": "string",
"is_inventory_mapped_target": false,
"source_has_inventory_mapping": false,
"index": 0,
"key": 0,
"source_network_nsx_backed": false,
"target_network_nsx_backed": false
}
],
"folder": {
"editable": false,
"source": "string",
"source_name": "string",
"target": "string",
"target_name": "string",
"is_inventory_mapped_target": false,
"source_has_inventory_mapping": false
},
"resource_pool": {
"editable": false,
"source": "string",
"source_name": "string",
"target": "string",
"target_name": "string",
"is_inventory_mapped_target": false,
"source_has_inventory_mapping": false
},
"host": {
"editable": false,
"source": "string",
"source_name": "string",
"target": "string",
"target_name": "string",
"is_inventory_mapped_target": false,
"source_has_inventory_mapping": false
},
"change_version": "string"
}
Whether repair placeholder operation is required. If true, only repair placeholder is possible and not configure protection.
Target vSAN cluster used by vSAN cluster pair. You can use as a target resource pool only resource pools which are under the vSAN target cluster. Applicable if the containing protection group is vSAN-based.
Location details about a protected virtual machine.
List of VM devices, including hard disks, optical disks and floppy disks
List of VM networks
Details about a protection resource of a VM. For example: folder, resource pool, host, network.
Details about a protection resource of a VM. For example: folder, resource pool, host, network.
Details about a protection resource of a VM. For example: folder, resource pool, host, network.
Version number of these settings. Keep this if need to update the VM protection settings. Applicable only if the VM is protected.
A task to monitor the operation progress
{
"id": "string",
"description": "string",
"description_id": "string",
"entity": "string",
"entity_name": "string",
"status": "string",
"error": {
"message": "string",
"details": "string"
},
"result": {},
"progress": 0,
"queued_time": 0,
"start_time": 0,
"complete_time": 0,
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/pairings/{pairing_id}/protection-management/groups/{group_id}/vms/{vm_id}/protection-settings